Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetPreCheck

Gets the pre-check function for the line search routine.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetPreCheck(SNESLineSearch linesearch, PetscErrorCode (**func)(SNESLineSearch, Vec, Vec, PetscBool *, void *), PetscCtxRt ctx)

## Input Parameter

- linesearch - the `SNESLineSearch` context

## Output Parameters

- func - [optional] function evaluation routine, for calling sequence see `SNESLineSearchSetPreCheck()`

- ctx - [optional] user-defined context for private data for the function evaluation routine (may be `NULL`)

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESGetLineSearch()`, `SNESLineSearchPreCheck()`, `SNESLineSearchGetPostCheck()`, `SNESLineSearchSetPreCheck()`, `SNESLineSearchSetPostCheck()`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages